# Troubleshooting

## 1. You lack the entitlements required to use

This error usually occurs when users attempt to use a specific feature or resource without having the necessary permissions (entitlements).

### 1.1 Logging in with the wrong account or organization

Make sure you are not logging in with the wrong user or organization account.

### 1.2 You purchased the product from the correct account, but you cannot use it.

You have just purchased the product. If you have not restarted your server after purchase, you must restart the server so that Fivem can verify the product ID.

## 2. The metadata for the keys is not visible

If you are using `ox_inventory`, metadata data will appear automatically, but for other inventories, you will need to set it manually.

For Exampale:

{% code title="qb-inventory/html/app.js" %}

```javascript
case "vehiclekeys":
    return `<p><strong>Plate: </strong><span>${itemData.info.plate}</span></p><br />
    <p><strong>SSN: </strong><span>${itemData.info.ssn}</span>`;
```

{% endcode %}

## 3. How do I adapt the script to my own server?

If you are using one of the qb or qbox frameworks, you are in luck because you can easily integrate the `0r-vehiclekeys` script into your server by editing the `fxmanifest` file.

{% code title="0r-vehiclekeys/fxmanifest.lua" %}

```lua
-- provide 'qb-vehiclekeys' -- If you are using qb-core, remove this code snippet from the comment line.
-- provide 'qbx_vehiclekeys' -- If you are using qbx_core, remove this code snippet from the comment line.
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-vehicle-keys/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
